Name: 		snownews
Version: 	1.5.7
Release: 	2%{?dist}
Summary: 	A text mode RSS/RDF newsreader
Group: 		Applications/Internet
License: 	GPL
Url:		http://home.kcore.de/~kiza/software/snownews
Source0: 	http://home.kcore.de/~kiza/software/snownews/download/snownews-1.5.7.tar.gz
Patch0:		snownews-1.5.3-nocheck.patch
Patch1:		snownews-1.5.7-manpath.patch
Patch2:		snownews-1.5.6.1-nostrip.patch
Patch3:		snownews-1.5.7-softlink.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libxml2-devel
BuildRequires:	ncurses-devel
BuildRequires:	gettext

%description
Snownews  is  a text mode RSS/RDF newsreader. It supports all versions
of RSS natively and supports other formats via plugins.

The program depends on ncurses for the user interface and uses libxml2 
for XML parsing. ncurses must be at least version 5.0. It should work
with any version of libxml2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./configure --prefix=%{_prefix} --charset=UTF-8
EXTRA_CFLAGS="$RPM_OPT_FLAGS -fpie" EXTRA_LDFLAGS="-pie" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README* AUTHOR COPYING CREDITS Changelog
%{_bindir}/opml2snow
%{_bindir}/snow2opml
%{_bindir}/snownews
%{_bindir}/snowsync
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%changelog
* Mon Aug  6 2005 Zing <shishz@hotpop.com> - 1.5.7-2
- use dist macro

* Fri Jul 29 2005 Zing <shishz@hotpop.com> - 1.5.7-1
- update to 1.5.7
- drop destdir patch, fixed upstream
- fixup softlink for snow2opml

* Thu Mar 24 2005 Warren Togami <wtogami@redhat.com> - 1.5.6.1-3
- macroize dirs

* Tue Mar 15 2005 Zing <shishz@hotpop.com> - 1.5.6.1-2
- enable snowsync

* Thu Feb 24 2005 Zing <shishz@hotpop.com> - 1.5.6.1-1
- new upstream
- remove snowsync for now. (we need perl-XML-LibXSLT)

* Fri Jul 23 2004 Zing <shishz@hotpop.com> - 1.5.3-0.fdr.4
- More cleanups from QA (M.Schwendt)
-	do the buildroot better (grrr hopefully)
-	locales & paths should now be working

* Fri Jul 23 2004 Zing <shishz@hotpop.com> - 1.5.3-0.fdr.3
- More cleanups from QA (M.Schwendt)
-	fix man path directory ownerships
-	don't let installer strip-install
-	fix file permissions in src.rpm to 0644
-	use find_lang macro

* Fri Jul 23 2004 Zing <shishz@hotpop.com> - 1.5.3-0.fdr.2
- disable auto version check
- build executables as PIEs
- QA from Michael Schwendt:
-	Buildrequires: gettext
-	install man pages to /usr/share/man
-	unneeded version check for ncurses-devel
-	add SMP make flag
-	add RPM_OPT_FLAGS

* Thu Jul 22 2004 Zing <shishz@hotpop.com> - 1.5.3-0.fdr.1
- Initial RPM release.
